<html>
<head>
<title>Ogre::Singleton&lt; T &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Singleton.html">Singleton</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Singleton&lt; T &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Singleton" -->
<p>Template class for creating single-instance global classes.  
 <a href="classOgre_1_1Singleton.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>&gt;</code></p>

<p><a href="classOgre_1_1Singleton-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#ab6485151627c2603253ec7126f1bcf80">Singleton</a> (const <a class="el" href="classOgre_1_1Singleton.html">Singleton</a>&lt; T &gt; &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Explicit private copy constructor.  <a href="#ab6485151627c2603253ec7126f1bcf80"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Singleton.html">Singleton</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#abf050a1f67f274103c1d5b2f6c4e0381">operator=</a> (const <a class="el" href="classOgre_1_1Singleton.html">Singleton</a>&lt; T &gt; &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Private operator= .  <a href="#abf050a1f67f274103c1d5b2f6c4e0381"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br/>
class Ogre::Singleton&lt; T &gt;</h3>

<p>Template class for creating single-instance global classes. </p>

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00064">64</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab6485151627c2603253ec7126f1bcf80"></a><!-- doxytag: member="Ogre::Singleton::Singleton" ref="ab6485151627c2603253ec7126f1bcf80" args="(const Singleton&lt; T &gt; &amp;)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Singleton.html">Singleton</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Singleton.html">Singleton</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Explicit private copy constructor. </p>
<p>This is a forbidden operation. </p>

</div>
</div>
<a class="anchor" id="a2b0622a1223ac3a0c6b9c53e787b8d93"></a><!-- doxytag: member="Ogre::Singleton::Singleton" ref="a2b0622a1223ac3a0c6b9c53e787b8d93" args="(void)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Singleton.html">Singleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00078">78</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9bc0518bb06d12629e287149cdcc4b5d"></a><!-- doxytag: member="Ogre::Singleton::~Singleton" ref="a9bc0518bb06d12629e287149cdcc4b5d" args="(void)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::~<a class="el" href="classOgre_1_1Singleton.html">Singleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00088">88</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7757bd7ac3702c144502e53ad6491888"></a><!-- doxytag: member="Ogre::Singleton::getSingleton" ref="a7757bd7ac3702c144502e53ad6491888" args="(void)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static T&amp; <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1TerrainGlobalOptions.html#ac1c2d87bb764edfd517ebb6047df358e">Ogre::TerrainGlobalOptions</a>, <a class="el" href="classOgre_1_1ResourceGroupManager.html#a45101333f0f9ff132fc381dd5c4a1d60">Ogre::ResourceGroupManager</a>, <a class="el" href="classOgre_1_1Root.html#a6c8959a647a86d6732a8a32f57b6a6ee">Ogre::Root</a>, <a class="el" href="classOgre_1_1HardwareBufferManager.html#a380063fef4a4563c90d45a03ac196dc7">Ogre::HardwareBufferManager</a>, <a class="el" href="classOgre_1_1TextureManager.html#ac6fb858ee86f3b7b75de32e3e04ee5c8">Ogre::TextureManager</a>, <a class="el" href="classOgre_1_1ScriptCompilerManager.html#a1d8c90529ca27f0c235940b4664ac5ae">Ogre::ScriptCompilerManager</a>, <a class="el" href="classOgre_1_1MeshManager.html#a2efefa307b7987c5fcff7e8c47f79758">Ogre::MeshManager</a>, <a class="el" href="classOgre_1_1ParticleSystemManager.html#a970140febaf5f8e2dd54bfe14da7353c">Ogre::ParticleSystemManager</a>, <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a85e23967cb7bce8948b744e0de9af17a">Ogre::ResourceBackgroundQueue</a>, <a class="el" href="classOgre_1_1MaterialManager.html#a100f413d9d2316028e7ae740e5a43161">Ogre::MaterialManager</a>, <a class="el" href="classOgre_1_1Profiler.html#aaa925dad8392fe140d017a5766f3cd49">Ogre::Profiler</a>, <a class="el" href="classOgre_1_1ControllerManager.html#a68fb107a5e1b3470c7381c0c1fdd36c7">Ogre::ControllerManager</a>, <a class="el" href="classOgre_1_1GpuProgramManager.html#a215f8a158be2840363627ee55161de0c">Ogre::GpuProgramManager</a>, <a class="el" href="classOgre_1_1OverlayManager.html#ade527bdaf5edb3d9d080f3cf292cfca5">Ogre::OverlayManager</a>, <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a137cf67285fc6ea14574db3dcf181d46">Ogre::SceneManagerEnumerator</a>, <a class="el" href="classOgre_1_1CompositorManager.html#a3c401a0186d115243eaef438450a0b17">Ogre::CompositorManager</a>, <a class="el" href="classOgre_1_1LogManager.html#a1bd6bc0890fd3e1de7886433c40b5e87">Ogre::LogManager</a>, <a class="el" href="classOgre_1_1GLSLLinkProgramManager.html#a47ecd1f88258a06dfae69b8bb9a698da">Ogre::GLSLLinkProgramManager</a>, <a class="el" href="classOgre_1_1HighLevelGpuProgramManager.html#a77dc1f71e5aae0cb1e146a2a0a3ced49">Ogre::HighLevelGpuProgramManager</a>, <a class="el" href="classOgre_1_1ShadowTextureManager.html#a90f28dc399e6efb5f02de3115d8a0d7a">Ogre::ShadowTextureManager</a>, <a class="el" href="classOgre_1_1ArchiveManager.html#ad5b5f92045294d97c3aecddaba89de31">Ogre::ArchiveManager</a>, <a class="el" href="classOgre_1_1LodStrategyManager.html#aab422d81f11f6da60aae68ba6fe7f518">Ogre::LodStrategyManager</a>, <a class="el" href="classOgre_1_1DistanceLodStrategy.html#ae26c603a15f607a5b7d14ea4880e5b6f">Ogre::DistanceLodStrategy</a>, <a class="el" href="classOgre_1_1RTShader_1_1ProgramWriterManager.html#aeeff5852f80a31dc9e1e82673fce2aad">Ogre::RTShader::ProgramWriterManager</a>, <a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#a48ff44556145b75d887f4162ff44237b">Ogre::ExternalTextureSourceManager</a>, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesManager.html#a971e78f1cccb481a2ac705c60b24b597">Ogre::RenderSystemCapabilitiesManager</a>, <a class="el" href="classOgre_1_1DynLibManager.html#a8ed0226ad6fbb09423a3641f0dfd2b7b">Ogre::DynLibManager</a>, <a class="el" href="classOgre_1_1GLSLESLinkProgramManager.html#a8d3c39e0d901e43e29957d4097de9e17">Ogre::GLSLESLinkProgramManager</a>, <a class="el" href="classOgre_1_1PixelCountLodStrategy.html#ae9138f5039108e2b4dd31c0fc88598fc">Ogre::PixelCountLodStrategy</a>, <a class="el" href="classOgre_1_1GTKGLSupport.html#a50729ef52d459529d422f717d12b8264">Ogre::GTKGLSupport</a>, <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html#aeb10986f3119e6bdf473e0ee851bf3ae">Ogre::RTShader::ShaderGenerator</a>, <a class="el" href="classOgre_1_1GLSLESProgramPipelineManager.html#ac4a7c0a1aded6f3a5e6406db1e56e531">Ogre::GLSLESProgramPipelineManager</a>, <a class="el" href="classOgre_1_1SkeletonManager.html#abf6b5ad96a16a1619c1d37a0e32a5517">Ogre::SkeletonManager</a>, <a class="el" href="classOgre_1_1RTShader_1_1ProgramManager.html#a9c7937d342955ee45a30d2926ffebd0b">Ogre::RTShader::ProgramManager</a>, and <a class="el" href="classOgre_1_1FontManager.html#abe141c95645655ae184fd100431f914a">Ogre::FontManager</a>.</p>

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00090">90</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7ab51c46521b89723d6186a52a7e0d7b"></a><!-- doxytag: member="Ogre::Singleton::getSingletonPtr" ref="a7ab51c46521b89723d6186a52a7e0d7b" args="(void)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static T* <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1TerrainGlobalOptions.html#a90d18ba554df4386d9041bf3d57d9772">Ogre::TerrainGlobalOptions</a>, <a class="el" href="classOgre_1_1ResourceGroupManager.html#a375aaff7929cfb5560d69b0056363aa0">Ogre::ResourceGroupManager</a>, <a class="el" href="classOgre_1_1Root.html#a0813c15b258db16ef212dba53b72c3e4">Ogre::Root</a>, <a class="el" href="classOgre_1_1HardwareBufferManager.html#ab633b90f5015dc3199f96e0514347b3b">Ogre::HardwareBufferManager</a>, <a class="el" href="classOgre_1_1TextureManager.html#a3a55789d982b34bdd9daa27650360653">Ogre::TextureManager</a>, <a class="el" href="classOgre_1_1ScriptCompilerManager.html#aac1dfc9901d31b6c2f0d62fc01e10f52">Ogre::ScriptCompilerManager</a>, <a class="el" href="classOgre_1_1MeshManager.html#ab898923c2b46062858e28e19beb251d2">Ogre::MeshManager</a>, <a class="el" href="classOgre_1_1ParticleSystemManager.html#a34314a29330b8063e1dc6f5fd3fabc63">Ogre::ParticleSystemManager</a>, <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a8560b1f597bcb32f13d4a0abbdbb2e02">Ogre::ResourceBackgroundQueue</a>, <a class="el" href="classOgre_1_1MaterialManager.html#a17b3b6ea6c91c7713769854606a58889">Ogre::MaterialManager</a>, <a class="el" href="classOgre_1_1Profiler.html#a01ec79ba4ba7a539bfd742e120c1ff21">Ogre::Profiler</a>, <a class="el" href="classOgre_1_1ControllerManager.html#afc3e91410cbc2f77cfff9f9b09ef60f7">Ogre::ControllerManager</a>, <a class="el" href="classOgre_1_1GpuProgramManager.html#a1fa33935f7bc9ca113fe3adbea6493e7">Ogre::GpuProgramManager</a>, <a class="el" href="classOgre_1_1OverlayManager.html#ace76368f6fa68ae0dad4547c7f4be25c">Ogre::OverlayManager</a>, <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a85109f580da806433a363792a7233fe4">Ogre::SceneManagerEnumerator</a>, <a class="el" href="classOgre_1_1CompositorManager.html#a087432078a26a4fe1c2068012f3300f3">Ogre::CompositorManager</a>, <a class="el" href="classOgre_1_1LogManager.html#a26fc82537a3ea960342838f878ef0f1f">Ogre::LogManager</a>, <a class="el" href="classOgre_1_1HighLevelGpuProgramManager.html#a9229f816e3c47a5ca351c0d667cf53a4">Ogre::HighLevelGpuProgramManager</a>, <a class="el" href="classOgre_1_1ShadowTextureManager.html#a9490269f8bbbdcd75fea78989b12fb99">Ogre::ShadowTextureManager</a>, <a class="el" href="classOgre_1_1GLSLLinkProgramManager.html#a445e7c1c68ee15e8e99fbdc00cb70333">Ogre::GLSLLinkProgramManager</a>, <a class="el" href="classOgre_1_1ArchiveManager.html#a460a08ab422a879e91dd154ee33c2aac">Ogre::ArchiveManager</a>, <a class="el" href="classOgre_1_1LodStrategyManager.html#ae1c307853cfa3a52383d24a76f253834">Ogre::LodStrategyManager</a>, <a class="el" href="classOgre_1_1DistanceLodStrategy.html#ae2aaf5da3ac815bcfe44a4f1c106dd2b">Ogre::DistanceLodStrategy</a>, <a class="el" href="classOgre_1_1RTShader_1_1ProgramWriterManager.html#a34d6f0b37469bc6993b93caf7ebbde42">Ogre::RTShader::ProgramWriterManager</a>, <a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#a70c7067c51f73b0fbf2dcf77d582bb08">Ogre::ExternalTextureSourceManager</a>, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesManager.html#af156b74a3c166ab4b05e82a89d2445d9">Ogre::RenderSystemCapabilitiesManager</a>, <a class="el" href="classOgre_1_1DynLibManager.html#a34d606f2c393f90e6d2fb29194a53be7">Ogre::DynLibManager</a>, <a class="el" href="classOgre_1_1PixelCountLodStrategy.html#a6ca672a9da3daf6272b62ef452c8d038">Ogre::PixelCountLodStrategy</a>, <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html#acd96bb2cad55be69d0fe8c6dc28d3590">Ogre::RTShader::ShaderGenerator</a>, <a class="el" href="classOgre_1_1GTKGLSupport.html#a29ae1bf3c244d51ac7cae12733b3c69d">Ogre::GTKGLSupport</a>, <a class="el" href="classOgre_1_1GLSLESLinkProgramManager.html#a6937c016be4a3ca090340f9ee0798065">Ogre::GLSLESLinkProgramManager</a>, <a class="el" href="classOgre_1_1RTShader_1_1ProgramManager.html#a77da1fe51136be09e702e698092b2185">Ogre::RTShader::ProgramManager</a>, <a class="el" href="classOgre_1_1SkeletonManager.html#a21c2e42c7e440c04b8df6af455a27563">Ogre::SkeletonManager</a>, <a class="el" href="classOgre_1_1FontManager.html#a9700290a1b411121902b83e46e1afc1b">Ogre::FontManager</a>, and <a class="el" href="classOgre_1_1GLSLESProgramPipelineManager.html#a87f9ce6de711d05b6e4ba704cb630863">Ogre::GLSLESProgramPipelineManager</a>.</p>

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00092">92</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="abf050a1f67f274103c1d5b2f6c4e0381"></a><!-- doxytag: member="Ogre::Singleton::operator=" ref="abf050a1f67f274103c1d5b2f6c4e0381" args="(const Singleton&lt; T &gt; &amp;)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Singleton.html">Singleton</a>&amp; <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Singleton.html">Singleton</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Private operator= . </p>
<p>This is a forbidden operation. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::Singleton::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSingleton_8h_source.html#l00090">Ogre::Singleton&lt; GpuProgramManager &gt;::getSingleton()</a>, <a class="el" href="OgreSingleton_8h_source.html#l00092">Ogre::Singleton&lt; GpuProgramManager &gt;::getSingletonPtr()</a>, <a class="el" href="OgreSingleton_8h_source.html#l00078">Ogre::Singleton&lt; GpuProgramManager &gt;::Singleton()</a>, and <a class="el" href="OgreSingleton_8h_source.html#l00088">Ogre::Singleton&lt; GpuProgramManager &gt;::~Singleton()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:07
</p>
</body>
</html>
